Create deposit method config

Create the configuration to store a deposit method. The configuration contains basic information about the deposit method such as an idempotency key and optional information such as billing contact and metadata. If the billing contact is provided in the deposit method config, then the web component will not prompt for this data. These fields include name for an ACH deposit method. This allows a deposit method to be set up before collecting the sensitive deposit method details (i.e the account number) via the web component.

Body Params
string
required

The unique platform identifier.

Prefix is "plt" in production and "sbx_plt" in sandbox.

string
required
length between 1 and 255

A unique identifier provided by the platform. This key will be used to detect subsequent retries of the same request. Subsequent requests with the same key will return the result of the first request, regardless if the first request succeeded or failed. This identifier should be generated by the platform and can be max 255 characters.

billing_contact
object

Billing contact details.

allowed_sources
array of strings

The allowed deposit method sources for deposit method creation. If omitted, the allowed sources will default to all the allowed sources set on the platform configuration.

allowed_sources
metadata
object

Valid JSON key-value object specified by the platform to store additional information on the payment method. Keys are queryable in list endpoints. Do not use the metadata field to store sensitive or confidential data.

Metadata must be less than 8 KB in size.

Headers
string
enum
Defaults to 2024-10-16
Allowed:
Responses

Language
Credentials
Bearer
APIKey
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json